Skip to main content
Fetches a collection of custom menus based on specified criteria. This endpoint allows clients to retrieve custom menu configurations, which may include menu items, categories, and associated metadata. The response can be tailored using query parameters for filtering, sorting, and pagination.
GET https://services.leadconnectorhq.com/custom-menus/

Autorización

Authorization
string
required
Bearer token generado desde el portal Leadway. Ver Autenticación.
Version
string
default:"2021-07-28"
required
Versión de la API.

Query parameters

locationId
string
default:"5DP4iH6HLkQsiKESj6rh"
Unique identifier of the account
skip
number
default:"0"
Number of items to skip for pagination
limit
number
default:"10"
Maximum number of items to return
query
string
default:"custom-menu-link-name"
Search query to filter custom menus by name, supports partial || full names
showOnCompany
boolean
default:"True"
Filter to show only agency-level menu links. When omitted, fetches both agency and account menu links. Ignored if locationId is provided

Respuestas

customMenus
object[]
Array of custom menu links
Total number of custom menu records
{
  "customMenus": [
    {
      "id": "12345",
      "title": "Dashboard",
      "url": "/dashboard",
      "order": 1,
      "showOnCompany": true,
      "showOnLocation": true,
      "showToAllLocations": true,
      "locations": [
        "gfWreTIHL8pDbggBb7af",
        "67WreTIHL8pDbggBb7ty"
      ],
      "openMode": "iframe",
      "userRole": "all",
      "allowCamera": false,
      "allowMicrophone": false
    }
  ],
  "totalLinks": 100
}
{}
{}

Ejemplo

curl -X GET 'https://services.leadconnectorhq.com/custom-menus/' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'
const response = await fetch('https://services.leadconnectorhq.com/custom-menus/', {
  method: 'GET',
  headers: {
    Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
    Version: '2021-07-28',
  },
});
const data = await response.json();
import os, requests
response = requests.request(
    'GET',
    'https://services.leadconnectorhq.com/custom-menus/',
    headers={
        'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
        'Version': '2021-07-28',
    },
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/custom-menus/');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
        'Version: 2021-07-28',
    ],
]);
$data = json_decode(curl_exec($ch), true);